# class Xapian::MSet

Refer to the Xapian::MSet C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

matches(&block) click to toggle source

    # File ../../../../../ruby/docs/xapian.rb, line 220
    def matches(&block)
      Xapian._safelyIterate(self._begin(),
                            self._end(),
                            lambda { |item| Xapian::Match.new(item.docid, item.document, item.rank, item.weight, item.collapse_count, item.percent) },
                            &block)
    end